package de.oaa.xxx.games.chastity.common;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

public interface TemplateSubscriptionRepository extends JpaRepository<TemplateSubscriptionEntity, UUID> {
    Optional<TemplateSubscriptionEntity> findByUserIdAndTemplateId(UUID userId, UUID templateId);
    List<TemplateSubscriptionEntity> findByUserId(UUID userId);
    long countByTemplateId(UUID templateId);
    @Transactional
    void deleteByTemplateId(UUID templateId);
    @Transactional
    void deleteByUserIdAndTemplateId(UUID userId, UUID templateId);
}
